Subject: RE: Message

From: <[email-masked]>
Date: Thu, 30 Jul 2009 15:03:48 -0700 (PDT)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6UGoKVL094170 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 30 Jul 2009 09:50:20 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n6UGoJIo094169; Thu, 30 Jul 2009 09:50:19 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 30.mail-out.ovh.net (30.mail-out.ovh.net [213.186.62.213]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n6UGoCiv094151 for ; Thu, 30 Jul 2009 09:50:18 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 7727 invoked by uid 503); 30 Jul 2009 16:50:29 -0000
Received: from b7.ovh.net (HELO mail433.ha.ovh.net) (213.186.33.57) by 30.mail-out.ovh.net with SMTP; 30 Jul 2009 16:50:29 -0000
Received: from b0.ovh.net (HELO queueout) (213.186.33.50) by b0.ovh.net with SMTP; 30 Jul 2009 16:50:12 -0000
Received: from aaubervilliers-151-1-76-51.w81-48.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 30 Jul 2009 16:50:10 -0000
Message-ID: <032E8EC20F4F414893D9EA435C17365C@Iulius>
From: =?Windows-1252?Q?Julien_=C9LIE?=
To: "Usefor WG"
References: <[email-masked]>
In-Reply-To:
Subject: Re: I-D ACTION:draft-spencer-usefor-son-of-1036-01.txt
Date: Thu, 30 Jul 2009 18:50:08 +0200
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="Windows-1252"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
X-Ovh-Tracer-Id: 14934499315799948729
X-Ovh-Remote: 81.48.15.51 (aaubervilliers-151-1-76-51.w81-48.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|U 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi Charles,

>>The few typos I reported in May weren't fixed in that new version.
>
> I vaguely recall such a list, but I can't identify your message on the
> groups mailing list archive. Can you repeat them please?

Certainly.
Here are a few typos I saw while skimming the document:
http://www.imc.org/ietf-usefor/mail-archive/msg04596.html

--
Julien ÉLIE

« -- Nous voyageons plus vite que la lumière !
-- Alors comment y voir clair dans tout ça ? » (Astérix)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6UGCDPb091164 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 30 Jul 2009 09:12:13 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n6UGCDut091163; Thu, 30 Jul 2009 09:12:13 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-6.gradwell.net (v-smtp-auth-relay-6.gradwell.net [79.135.125.112]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6UGC4rg091145 for ; Thu, 30 Jul 2009 09:12:12 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster$pop3#clerew&man*ac$uk) by v-smtp-auth-relay-6.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4a71c652.5ba3.399 for [email-masked]; Thu, 30 Jul 2009 17:12:02 +0100 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id n6UGC2Dm012191 for ; Thu, 30 Jul 2009 17:12:02 +0100 (BST)
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id n6UGC1Nw012186 for [email-masked]; Thu, 30 Jul 2009 17:12:01 +0100 (BST)
To: [email-masked]
Xref: clerew local.usefor:25125
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: I-D ACTION:draft-spencer-usefor-son-of-1036-01.txt
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References: <[email-masked]>
Date: Thu, 30 Jul 2009 14:13:33 GMT
Lines: 28
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In =?Windows-1252?Q?Julien_=C9LIE?= writes:

>Hi Charles,

>> This just includes a few tweaks requested by the RFC-Editor. Hopefully it
>> is now ready for final publication.

>I have just done a diff between the two versions. Only four or five changes.
>Amongst them, a sentence has been rewritten but still needs to be changed.
>(", and the presence of unresolved issues.")

OK, I seem to have missed that.

>The few typos I reported in May weren't fixed in that new version.

I vaguely recall such a list, but I can't identify your message on the
groups mailing list archive. Can you repeat them please?

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6THcjph082794 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 29 Jul 2009 10:38:45 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n6THcj4l082793; Wed, 29 Jul 2009 10:38:45 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 27.mail-out.ovh.net (27.mail-out.ovh.net [91.121.30.210]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n6THcXDY082775 for ; Wed, 29 Jul 2009 10:38:44 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 8851 invoked by uid 503); 29 Jul 2009 19:16:33 -0000
Received: from b7.ovh.net (HELO mail425.ha.ovh.net) (213.186.33.57) by 27.mail-out.ovh.net with SMTP; 29 Jul 2009 19:16:33 -0000
Received: from b0.ovh.net (HELO queueout) (213.186.33.50) by b0.ovh.net with SMTP; 29 Jul 2009 17:38:32 -0000
Received: from aaubervilliers-151-1-76-51.w81-48.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 29 Jul 2009 17:38:31 -0000
Message-ID:
From: =?Windows-1252?Q?Julien_=C9LIE?=
To: "Usefor WG"
References: <[email-masked]>
In-Reply-To:
Subject: Re: I-D ACTION:draft-spencer-usefor-son-of-1036-01.txt
Date: Wed, 29 Jul 2009 19:38:19 +0200
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="Windows-1252"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
X-Ovh-Tracer-Id: 9878364309177171385
X-Ovh-Remote: 81.48.15.51 (aaubervilliers-151-1-76-51.w81-48.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|U 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi Charles,

> This just includes a few tweaks requested by the RFC-Editor. Hopefully it
> is now ready for final publication.

I have just done a diff between the two versions. Only four or five changes.
Amongst them, a sentence has been rewritten but still needs to be changed.
(", and the presence of unresolved issues.")

The technical content remains unchanged, including the references to
the document itself as a Draft rather than an RFC, the presence of
unresolved issues, The original section numbering has been preserved,
although the original pagination has not (among other reasons, it did
not fully follow IETF formatting standards).

The few typos I reported in May weren't fixed in that new version.

Have a nice day,

--
Julien ÉLIE

« Il y a un proverbe serbe qui dit ceci : « Notre passé est sinistre,
notre présent est invivable, heureusement que nous n'avons pas d'avenir ! »
(Philippe Geluck)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6TBCHsS048399 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 29 Jul 2009 04:12:17 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n6TBCGww048398; Wed, 29 Jul 2009 04:12:16 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-5.gradwell.net (v-smtp-auth-relay-5.gradwell.net [79.135.125.99]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6TBC31G048339 for ; Wed, 29 Jul 2009 04:12:14 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster^pop3#clerew*man^ac^uk) by v-smtp-auth-relay-5.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4a702e82.27ab.bd for [email-masked]; Wed, 29 Jul 2009 12:12:02 +0100 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id n6TBC2mk015498 for ; Wed, 29 Jul 2009 12:12:02 +0100 (BST)
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id n6TBC1jr015495 for [email-masked]; Wed, 29 Jul 2009 12:12:01 +0100 (BST)
To: [email-masked]
Xref: clerew local.usefor:25123
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: I-D ACTION:draft-spencer-usefor-son-of-1036-01.txt
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References: <[email-masked]>
Date: Wed, 29 Jul 2009 10:05:45 GMT
Lines: 30
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In <[email-masked]> [email-masked] writes:

>--NextPart

>A New Internet-Draft is available from the on-line Internet-Drafts
>directories.

> Title : "Son of 1036": News Article Format and Transmission
> Author(s) : H. Spencer
> Filename : draft-spencer-usefor-son-of-1036-01.txt
> Pages : 91
> Date : 2009-7-28
>
This just includes a few tweaks requested by the RFC-Editor. Hopefully it
is now ready for final publication.

>A URL for this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-spencer-usefor-son-of-1036-01.txt

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6NCSJHa028027 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 23 Jul 2009 05:28:20 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n6NCSJGM028026; Thu, 23 Jul 2009 05:28:19 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from flowerpot.kaijanaho.fi (flowerpot.kaijanaho.fi [80.68.88.155]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6NCS8gR028012 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO) for ; Thu, 23 Jul 2009 05:28:19 -0700 (MST) (envelope-from [email-masked])
Received: from kukkaseppele.kaijanaho.fi (e82-103-224-145.elisa-laajakaista.fi [82.103.224.145]) (using TLSv1 with cipher ADH-AES256-SHA (256/256 bits)) (No client certificate requested) (Authenticated sender: ajk) by flowerpot.kaijanaho.fi (Postfix) with ESMTPSA id 44DA029000C for ; Thu, 23 Jul 2009 15:28:08 +0300 (EEST)
Received: by kukkaseppele.kaijanaho.fi (Postfix, from userid 1000) id 678F3854327; Thu, 23 Jul 2009 15:28:06 +0300 (EEST)
Date: Thu, 23 Jul 2009 15:28:06 +0300
From: Antti-Juhani Kaijanaho
To: [email-masked]
Subject: Re: Son-of-1036
Message-ID: <[email-masked]>
References: <0C8DE6FE57CF4FF9AEF423A2C16AE15B@Iulius>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To:
User-Agent: Mutt/1.5.20 (2009-06-14)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

On Thu, Jul 23, 2009 at 10:35:35AM +0000, Charles Lindsey wrote:
> >Does it also imply that RFC 5536 and RFC 5537 will mention that they
> >update that RFC when dislpayed on ?
> >(just above "Category: Standards Track).
>
> No. Both those documents contain non-normative references to s-o-1036, of
> course, and hopefully they will refer to it via its republished form. But
> I think those documents are already clear to to what they update (1036)
> and that s-o-1036 was just a useful stopgap on the way to that goal.

It would make the connection (and their relation) explicit in indexes. It
seems to me to be a useful thing.

--
Antti-Juhani Kaijanaho, Jyväskylä, Finland
http://antti-juhani.kaijanaho.fi/newblog/
http://www.flickr.com/photos/antti-juhani/

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6NBCX1o022268 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 23 Jul 2009 04:12:33 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n6NBCXcV022267; Thu, 23 Jul 2009 04:12:33 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-1.gradwell.net (v-smtp-auth-relay-1.gradwell.net [79.135.125.40]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6NBCLvN022242 for ; Thu, 23 Jul 2009 04:12:32 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster&pop3&clerew*man#ac#uk) by v-smtp-auth-relay-1.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4a684595.eae.34 for [email-masked]; Thu, 23 Jul 2009 12:12:21 +0100 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id n6NBC3kZ028385 for ; Thu, 23 Jul 2009 12:12:03 +0100 (BST)
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id n6NBC2UF028382 for [email-masked]; Thu, 23 Jul 2009 12:12:02 +0100 (BST)
To: [email-masked]
Xref: clerew local.usefor:25121
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: Son-of-1036
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References: <0C8DE6FE57CF4FF9AEF423A2C16AE15B@Iulius>
Date: Thu, 23 Jul 2009 10:35:35 GMT
Lines: 44
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In <0C8DE6FE57CF4FF9AEF423A2C16AE15B@Iulius> =?Windows-1252?Q?Julien_=C9LIE?= writes:

>Hi Charles,

>> The RFC Editor is proceeding with the draft I submitted in May. It will be
>> a Historic RFC as we had asked, but they want a line below that to state
>> that it is "Superseded by RFC5536 and RFC5537" (that is in addition to the
>> clear warnings in the Abstract and in the Preface to the effect that the
>> document is NOT to be considered as a basis for current implementations).

>Does it also imply that RFC 5536 and RFC 5537 will mention that they
>update that RFC when dislpayed on ?
>(just above "Category: Standards Track).

No. Both those documents contain non-normative references to s-o-1036, of
course, and hopefully they will refer to it via its republished form. But
I think those documents are already clear to to what they update (1036)
and that s-o-1036 was just a useful stopgap on the way to that goal.

>Shouldn't the date "3 May 2009" be changed to "2 June 1994"? (and the sentence
>"This document is identical to the last distributed version of Son of 1036,
>dated 2 June 1994, except for reformatting" rewritten to say it was submitted
>on May, 3rd 2009)
>That date would highlight more the fact it is an *old* RFC.

>It is just a suggestion; maybe it is impossible to change that date.

I doubt it would be possible, and would create more confusion than it
removed. Its Preface makes it clear what its status is, and the redacted
document, as it will be republished, it certainly not the original test
from June 1994.

>Thanks for all your work, Charles.

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6MHTPKd053047 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 22 Jul 2009 10:29:25 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n6MHTP95053046; Wed, 22 Jul 2009 10:29:25 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 2.mail-out.ovh.net (2.mail-out.ovh.net [91.121.26.226]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n6MHTDH0053033 for ; Wed, 22 Jul 2009 10:29:24 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 22147 invoked by uid 503); 22 Jul 2009 19:10:51 -0000
Received: from b6.ovh.net (HELO mail177.ha.ovh.net) (213.186.33.56) by 2.mail-out.ovh.net with SMTP; 22 Jul 2009 19:10:51 -0000
Received: from b0.ovh.net (HELO queueout) (213.186.33.50) by b0.ovh.net with SMTP; 22 Jul 2009 17:37:47 -0000
Received: from aaubervilliers-151-1-49-98.w83-114.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 22 Jul 2009 17:37:46 -0000
Message-ID: <0C8DE6FE57CF4FF9AEF423A2C16AE15B@Iulius>
From: =?Windows-1252?Q?Julien_=C9LIE?=
To: "Usefor WG"
References:
In-Reply-To:
Subject: Re: Son-of-1036
Date: Wed, 22 Jul 2009 19:29:04 +0200
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="Windows-1252"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
X-Ovh-Tracer-Id: 5650328684239388089
X-Ovh-Remote: 83.114.131.98 (aaubervilliers-151-1-49-98.w83-114.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|U 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi Charles,

> The RFC Editor is proceeding with the draft I submitted in May. It will be
> a Historic RFC as we had asked, but they want a line below that to state
> that it is "Superseded by RFC5536 and RFC5537" (that is in addition to the
> clear warnings in the Abstract and in the Preface to the effect that the
> document is NOT to be considered as a basis for current implementations).

Does it also imply that RFC 5536 and RFC 5537 will mention that they
update that RFC when dislpayed on ?
(just above "Category: Standards Track")

> Is there anything else that might cause confusion and that should be
> warned against?

Shouldn't the date "3 May 2009" be changed to "2 June 1994"? (and the sentence
"This document is identical to the last distributed version of Son of 1036,
dated 2 June 1994, except for reformatting" rewritten to say it was submitted
on May, 3rd 2009)
That date would highlight more the fact it is an *old* RFC.

It is just a suggestion; maybe it is impossible to change that date.

Thanks for all your work, Charles.

--
Julien ÉLIE

« Hâte-toi de bien vivre et songe que chaque jour
est à lui seul une vie. » (Sénèque)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6MGCX1u046814 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 22 Jul 2009 09:12:33 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n6MGCXjJ046813; Wed, 22 Jul 2009 09:12:33 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-4.gradwell.net (v-smtp-auth-relay-4.gradwell.net [79.135.125.43]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6MGCLKC046792 for ; Wed, 22 Jul 2009 09:12:32 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster*pop3*clerew^man#ac^uk) by v-smtp-auth-relay-4.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.290) id 4a673a64.6ec3.133 for [email-masked]; Wed, 22 Jul 2009 17:12:20 +0100 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id n6MGC2Gj011430 for ; Wed, 22 Jul 2009 17:12:02 +0100 (BST)
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id n6MGC1ks011425 for [email-masked]; Wed, 22 Jul 2009 17:12:01 +0100 (BST)
To: [email-masked]
Xref: clerew local.usefor:25119
Path: clerew!chl
From: "Charles Lindsey"
Subject: Son-of-1036
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
Date: Wed, 22 Jul 2009 13:58:34 GMT
Lines: 20
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

The RFC Editor is proceeding with the draft I submitted in May. It will be
a Historic RFC as we had asked, but they want a line below that to state
that it is "Superseded by RFC5536 and RFC5537" (that is in addition to the
clear warnings in the Abstract and in the Preface to the effect that the
document is NOT to be considered as a basis for current implementations).
They also asked for a mention that RFC822 is now replaced by 5532.

Is there anything else that might cause confusion and that should be
warned against?

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6CLFZaE012146 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Sun, 12 Jul 2009 14:15:35 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n6CLFZOs012145; Sun, 12 Jul 2009 14:15:35 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from eikenes.alvestrand.no (eikenes.alvestrand.no [158.38.152.233]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n6CLFX85012138 for ; Sun, 12 Jul 2009 14:15:34 -0700 (MST) (envelope-from [email-masked])
Received: from localhost (localhost [127.0.0.1]) by eikenes.alvestrand.no (Postfix) with ESMTP id 667C539E24F; Sun, 12 Jul 2009 23:15:33 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at eikenes.alvestrand.no
Received: from eikenes.alvestrand.no ([127.0.0.1]) by localhost (eikenes.alvestrand.no [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id 74rh4Uv51Slo; Sun, 12 Jul 2009 23:15:28 +0200 (CEST)
Received: from [192.168.1.54] (162.80-203-220.nextgentel.com [80.203.220.162]) by eikenes.alvestrand.no (Postfix) with ESMTPS id B0D5939E217; Sun, 12 Jul 2009 23:15:28 +0200 (CEST)
Message-ID: <[email-masked]>
Date: Sun, 12 Jul 2009 23:15:28 +0200
From: Harald Tveit Alvestrand
User-Agent: Thunderbird 2.0.0.22 (X11/20090608)
MIME-Version: 1.0
To: Russ Allbery
CC: [email-masked]
Subject: Re: Proposed changes for
References: <[email-masked]>
In-Reply-To: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Russ Allbery skrev:
> I think I received no feedback for this proposed diff other than
> agreement from Julien. Given that we're in AUTH48, in the absence of
> more consensus on the list that this is worth pushing at this phase, I'm
> not going to try to ask the RFC Editor to include it.
>
> So if you want me to push for this change, please speak up now.
>
I'd like to see this change.
> Index: usepro.xml
> ===================================================================
> --- usepro.xml (revision 5949)
> +++ usepro.xml (working copy)
> @@ -2022,14 +2022,24 @@
> the valid groups in all hierarchies or sub-hierarchies with a
> prefix listed in the <chkscope> argument, excluding any
> sub-hierarchy where the <chkscope> argument is prefixed by
> - "!". If no <chkscope> argument is given, it applies to all
> + "!". For complex cases with multiple <chkscope> arguments,
> + start from an empty list of groups, include all groups in the
> + checkgroups control message matching <chkscope> arguments
> + without a "!" prefix, and then exclude all groups matching
> + <chkscope> arguments with a "!" prefix. Follow this method
> + regardless of the order of the <chkscope> arguments in the
> + Control header field.
> +
> + If no <chkscope> argument is given, it applies to all
> hierarchies for which group statements appear in the body of the
> - message. Since much existing software does not honor the
> - <chkscope> argument, the body of the checkgroups control
> - message MUST NOT contain group statements for newsgroups outside
> - the intended scope and SHOULD contain a correct newsgroup list
> - even for sub-hierarchies excluded with "!" <chkscope> terms.
> - News servers, however, MUST honor <chkscope> as specified
> + message.
> +
> + Since much existing software does not honor the <chkscope>
> + argument, the body of the checkgroups control message MUST NOT
> + contain group statements for newsgroups outside the intended
> + scope and SHOULD contain a correct newsgroup list even for
> + sub-hierarchies excluded with "!" <chkscope> terms. News
> + servers, however, MUST honor <chkscope> as specified
> here.
>
> The <chksernr> argument may be any positive integer. If
>
>

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n659QFsF054384 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Sun, 5 Jul 2009 02:26:16 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n659QFRY054383; Sun, 5 Jul 2009 02:26:15 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 30.mail-out.ovh.net (30.mail-out.ovh.net [213.186.62.213]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n659QDxg054375 for ; Sun, 5 Jul 2009 02:26:14 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 3790 invoked by uid 503); 5 Jul 2009 09:26:13 -0000
Received: from b9.ovh.net (HELO mail435.ha.ovh.net) (213.186.33.59) by 30.mail-out.ovh.net with SMTP; 5 Jul 2009 09:26:13 -0000
Received: from b0.ovh.net (HELO queue-out) (213.186.33.50) by b0.ovh.net with SMTP; 5 Jul 2009 09:26:13 -0000
Received: from aaubervilliers-151-1-15-95.w83-114.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 5 Jul 2009 09:26:12 -0000
Message-ID:
From: =?Windows-1252?Q?Julien_=C9LIE?=
To: "Usefor WG"
References:
In-Reply-To:
Subject: Re: USEAGE referenced for Archive
Date: Sun, 5 Jul 2009 11:26:08 +0200
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="Windows-1252"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
X-Ovh-Tracer-Id: 8193173622452583865
X-Ovh-Remote: 83.114.14.95 (aaubervilliers-151-1-15-95.w83-114.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|H 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi Charles,

> The following text was planned for useage-02. Maybe I will even get around
> to useage-02 :-).

OK, thanks for the pointer.

I transmitted the information to Xavier Roche and for his NoCeM notices
sent to news.lists.filters (and soon to fr.usenet.abus.nocem -- that's
for it we needed the information to mention the headers in the charter),
he now uses both of them:

X-No-Archive: Yes
Archive: No

It will maybe take a long time before switching to only the Archive: header...

--
Julien ÉLIE

« -- Par Thor !
-- Par Odin !
-- Par exemple ! » (Astérix)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n659JxQv054142 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Sun, 5 Jul 2009 02:19:59 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n659Jxr7054141; Sun, 5 Jul 2009 02:19:59 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from 30.mail-out.ovh.net (30.mail-out.ovh.net [213.186.62.213]) by balder-227.proper.com (8.14.2/8.14.2) with SMTP id n659JlW8054128 for ; Sun, 5 Jul 2009 02:19:58 -0700 (MST) (envelope-from [email-masked])
Received: (qmail 14573 invoked by uid 503); 5 Jul 2009 09:19:45 -0000
Received: from b9.ovh.net (HELO mail435.ha.ovh.net) (213.186.33.59) by 30.mail-out.ovh.net with SMTP; 5 Jul 2009 09:19:45 -0000
Received: from b0.ovh.net (HELO queue-out) (213.186.33.50) by b0.ovh.net with SMTP; 5 Jul 2009 09:19:45 -0000
Received: from aaubervilliers-151-1-15-95.w83-114.abo.wanadoo.fr (HELO Iulius) ([email-masked]) by ns0.ovh.net with SMTP; 5 Jul 2009 09:19:43 -0000
Message-ID: <066F71B63D1A42D8A51A099378A196F2@Iulius>
From: =?iso-8859-1?Q?Julien_=C9LIE?=
To:
References: <[email-masked]>
In-Reply-To: <[email-masked]>
Subject: Re: Proposed changes for
Date: Sun, 5 Jul 2009 11:19:39 +0200
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="iso-8859-1"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
X-Ovh-Tracer-Id: 8083679858036571577
X-Ovh-Remote: 83.114.14.95 (aaubervilliers-151-1-15-95.w83-114.abo.wanadoo.fr)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-Spam-Check: DONE|H 0.5/N
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi all,

> I think I received no feedback for this proposed diff other than
> agreement from Julien.

Harald was also in favour of a diff (but it was before you actually
wrote it):
http://www.imc.org/ietf-usefor/mail-archive/msg04638.html

"It seems to me that since we're incompatible with something
people will also know about (wildmat), flagging the
incompatibility is important."

> Given that we're in AUTH48, in the absence of
> more consensus on the list that this is worth pushing at this phase, I'm
> not going to try to ask the RFC Editor to include it.

Please note that if this diff is not in USEPRO, it will lead to various
incompatible implementations of checkgroups processing, like this one
we have already seen on news.software.nntp:

"When one expression describes a subset of another expression in an
opposite manner (inclusion vs. exclusion), an order of processing is
necessary to resolve the conflicting directives.

Given: a, a.b, a.b.c, a.b.c.d

In the order "a !a.b a.b.c !a.b.c.d", natural left-to-right processing is
the same as superset-subset order, so what results is that we include "all
of a not in a.b except all of a.b.c not in a.b.c.d".

However, let's make the order: "!a.b.c.d a.b.c !a.b a". Processing
superset-subset order will result as above, but left-to right will result
as "include all of a" and the other three expressions are rendered
meaningless. The syntax may not care. The semantics of order processing
DOES care.

Exclusion lacks the commutative property; order matters. If the elements
may appear in any syntactic order, the order of application of their use
must be defined, else different answers can ensue. We should not have
ambiguous results."

> + For complex cases with multiple <chkscope> arguments,
> + start from an empty list of groups, include all groups in the
> + checkgroups control message matching <chkscope> arguments
> + without a "!" prefix, and then exclude all groups matching
> + <chkscope> arguments with a "!" prefix. Follow this method
> + regardless of the order of the <chkscope> arguments in the
> + Control header field.

That solves the issue.

--
Julien ÉLIE

« There's a way of transferring funds that is even faster
than electronic banking. It's called marriage. » (Sam Kinison)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n64Mgh2W024491 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Sat, 4 Jul 2009 15:42:43 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id n64MggGM024490; Sat, 4 Jul 2009 15:42:42 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp3.stanford.edu (smtp3.Stanford.EDU [171.67.219.83]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id n64MgV4G024476 for ; Sat, 4 Jul 2009 15:42:42 -0700 (MST) (envelope-from [email-masked])
Received: from smtp3.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id 731EE1A045E for ; Sat, 4 Jul 2009 15:42:31 -0700 (PDT)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp3.stanford.edu (Postfix) with ESMTP id 461131A045A for ; Sat, 4 Jul 2009 15:42:31 -0700 (PDT)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id 05B972F566; Sat, 4 Jul 2009 15:42:31 -0700 (PDT)
To: [email-masked]
Subject: Proposed changes for
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.3 (gnu/linux)
From: Russ Allbery
Organization: The Eyrie
Date: Sat, 04 Jul 2009 15:42:31 -0700
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

I think I received no feedback for this proposed diff other than
agreement from Julien. Given that we're in AUTH48, in the absence of
more consensus on the list that this is worth pushing at this phase, I'm
not going to try to ask the RFC Editor to include it.

So if you want me to push for this change, please speak up now.

Index: usepro.xml
===================================================================
--- usepro.xml (revision 5949)
+++ usepro.xml (working copy)
@@ -2022,14 +2022,24 @@
the valid groups in all hierarchies or sub-hierarchies with a
prefix listed in the <chkscope> argument, excluding any
sub-hierarchy where the <chkscope> argument is prefixed by
- "!". If no <chkscope> argument is given, it applies to all
+ "!". For complex cases with multiple <chkscope> arguments,
+ start from an empty list of groups, include all groups in the
+ checkgroups control message matching <chkscope> arguments
+ without a "!" prefix, and then exclude all groups matching
+ <chkscope> arguments with a "!" prefix. Follow this method
+ regardless of the order of the <chkscope> arguments in the
+ Control header field.
+
+ If no <chkscope> argument is given, it applies to all
hierarchies for which group statements appear in the body of the
- message. Since much existing software does not honor the
- <chkscope> argument, the body of the checkgroups control
- message MUST NOT contain group statements for newsgroups outside
- the intended scope and SHOULD contain a correct newsgroup list
- even for sub-hierarchies excluded with "!" <chkscope> terms.
- News servers, however, MUST honor <chkscope> as specified
+ message.
+
+ Since much existing software does not honor the <chkscope>
+ argument, the body of the checkgroups control message MUST NOT
+ contain group statements for newsgroups outside the intended
+ scope and SHOULD contain a correct newsgroup list even for
+ sub-hierarchies excluded with "!" <chkscope> terms. News
+ servers, however, MUST honor <chkscope> as specified
here.

The <chksernr> argument may be any positive integer. If

--
Russ Allbery ([email-masked])